<!-- Realisatsiooni aluseks on võetud:
PHP Object Oriented CRUD Example with Bootstrap
Kasutatud 6.04.2016
https://www.codeofaninja.com/2014/06/php-object-oriented-crud-example-oop.html
-->

<?php
/*
============================
Kataloogi kustutamise skript
============================
*/
// Käsitleme POST päringut.
include "config.php";
if($_POST){
 
include_once ROOT . 'db/dbconfig.php';
    include_once ADMIN_ROOT . 'objects/kataloog.class.php';
 
    $database = new Database();
    $db = $database->dbConnection();
 
    $kataloog = new Kataloog($db);
    $kataloog->id = $_POST['object_id'];
     
    if($kataloog->delete()){
        echo "Kirje kustutati andmebaasist.";
    }
    else{
        echo "Kustutamine ebaõnnestus.";
         
    }
}
?>